package com.sun.xml.internal.org.jvnet.fastinfoset.stax;

import java.io.IOException;
import javax.xml.stream.XMLStreamException;

public interface LowLevelFastInfosetStreamWriter
{
    public abstract void initiateLowLevelWriting() throws XMLStreamException;
    
    public abstract int getNextElementIndex();
    
    public abstract int getNextAttributeIndex();
    
    public abstract int getLocalNameIndex();
    
    public abstract int getNextLocalNameIndex();
    
    public abstract void writeLowLevelTerminationAndMark() throws IOException;
    
    public abstract void writeLowLevelStartElementIndexed(int p0, int p1) throws IOException;
    
    public abstract boolean writeLowLevelStartElement(int p0, String p1, String p2, String p3) throws IOException;
    
    public abstract void writeLowLevelStartNamespaces() throws IOException;
    
    public abstract void writeLowLevelNamespace(String p0, String p1) throws IOException;
    
    public abstract void writeLowLevelEndNamespaces() throws IOException;
    
    public abstract void writeLowLevelStartAttributes() throws IOException;
    
    public abstract void writeLowLevelAttributeIndexed(int p0) throws IOException;
    
    public abstract boolean writeLowLevelAttribute(String p0, String p1, String p2) throws IOException;
    
    public abstract void writeLowLevelAttributeValue(String p0) throws IOException;
    
    public abstract void writeLowLevelStartNameLiteral(int p0, String p1, byte[] p2, String p3) throws IOException;
    
    public abstract void writeLowLevelStartNameLiteral(int p0, String p1, int p2, String p3) throws IOException;
    
    public abstract void writeLowLevelEndStartElement() throws IOException;
    
    public abstract void writeLowLevelEndElement() throws IOException;
    
    public abstract void writeLowLevelText(char[] p0, int p1) throws IOException;
    
    public abstract void writeLowLevelText(String p0) throws IOException;
    
    public abstract void writeLowLevelOctets(byte[] p0, int p1) throws IOException;
}
